:root,
[data-bs-theme=light] {
    --bg-color: rgba(255, 255, 255, 0.9);
    --bg-color-login: rgba(255, 255, 255, 0.8);
    --font-color: rgba(0, 0, 0, 0.9);
    --bg-header: rgb(255, 255, 255);
    --logo-color: rgb(96, 96, 96);
    --button-color: #fff;
    --const-for-black:rgb(172, 172, 172);
    --bg-delete-confirm: rgba(255, 255, 255, 0.933);
    --list-astriped:#dcdcdc;
    --list-bstriped:#cfcfcf;
    --primary-color: #1e87f0;
    --bg-msg-preview: #fff;
}

[data-bs-theme=dark] {
    --bg-color: rgba(0, 0, 0, 0.9);
    --bg-color-login: rgba(0, 0, 0, 0.8);
    --font-color: rgba(255, 255, 255, 0.9);
    --bg-header: rgb(0, 0, 0);
    --logo-color: rgb(172, 172, 172);
    --button-color: #fff;
    --const-for-black:rgb(172, 172, 172);
    --bg-delete-confirm: rgb(134, 32, 32);
    --list-astriped: #444;
    --list-bstriped:#241f31;
    --primary-color: #1e87f0;
    --bg-msg-preview: #333;
}

html,
body,
main {
    background: var(--bg-color);
    color: var(--font-color);
    transition: background-color 0.3s ease, color 0.3s ease;
}

body.login main {
    background: var(--bg-color-login);
}

header {
    background: var(--bg-header);
    color: var(--font-color);
    border-bottom: 1px solid rgba(96, 96, 96, 0.24);
    transition: background-color 0.3s ease, color 0.3s ease;
}
pre {
  font: 0.875rem/1.5 Consolas,monaco,monospace;
    font-size: 0.875rem;
    font-family: Consolas, monaco, monospace;
  color: var(--font-color);
  -moz-tab-size: 4;
  tab-size: 4;
}
/* Headings
 ========================================================================== */
h1,
.uk-h1,
h2,
.uk-h2,
h3,
.uk-h3,
h4,
.uk-h4,
h5,
.uk-h5,
h6,
.uk-h6,
.uk-heading-small,
.uk-heading-medium,
.uk-heading-large,
.uk-heading-xlarge,
.uk-heading-2xlarge,
.uk-heading-3xlarge {
  margin: 0 0 20px 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-weight: normal;
  color: var(--font-color);
  text-transform: none;
}

.uk-navbar-nav>li.uk-active>a,
.uk-navbar-nav>li>a:focus,
.uk-navbar-nav>li>a:hover {
    color: var(--font-color);
}

.uk-logo {
    color: var(--logo-color);
    transition: 200ms ease-in-out;
}

.uk-logo:hover {
    color: var(--font-color);
}

.uk-logo:hover [aria-label="GV"]{
    color: seagreen;
}

html,
body {
    /* height: 100%; */
    margin: 0;
    padding: 0;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

main {
    flex: 1;
}

footer.uk-section-secondary {
    background-color: rgba(0, 0, 0, 0.85);
}

.uk-card-default .uk-card-title {
    color: var(--const-for-black);
    font-size:1.4rem;
}
a.uk-link-heading:hover {
  color: #fbfbfb;
  text-decoration: none;
}

.uk-button-default {
    background-color: transparent;
    color: var(--font-color);
    border: 1px solid var(--font-color);
}

.uk-button-default:hover {
    background-color: transparent;
    color: var(--primary-color);
    border: 1px solid var(--primary-color);
}

.uk-button-text {
    color: var(--primary-color);
}

.uk-button-text:hover {
    color: var(--primary-color);
}

.uk-icon-button {
    box-sizing: border-box;
    width: 32px;
    height: 32px;
    border-radius: 500px;
    background: #f0506e;
    color: #fff;
    vertical-align: middle;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    transition: .1s ease-in-out;
    transition-property: all;
    transition-property: color, background-color;
}
.uk-icon-button:hover {
  background-color: #1e87f0;
  color: #ffffff;
}
.uk-label-success {
  background-color: #23996d !important;
  color: #fff;
}
.uk-label-hold {
  background-color: #515151 !important;
  color: #fff;
}
.uk-search-default .uk-search-input {
  height: 40px;
  padding-left: 10px;
  padding-right: 10px;
  background: 0 0;
  border: 1px solid var(--list-astriped);
  border-radius: 2px;
}
/*
 * Success
 */
.uk-button-success {
  background-color: #2ec27e;
  color: #fff;
  border: 1px solid transparent;
}
/* Hover */
.uk-button-success:hover {
  background-color: #26a269;
  color: #fff;
}
/* OnClick + Active */
.uk-button-success:active,
.uk-button-success.uk-active {
  background-color: #26a269;
  color: #fff;
}
.uk-alert-success {
  background: #edfbf6;
  color: #32d296;
  border: 1px solid rgba(61, 212, 156, 0.3);
}
.uk-input,
.uk-select,
.uk-textarea {
    max-width: 100%;
    width: 100%;
    border: 0 none;
    padding: 0 10px;
    padding-right: 10px;
    background: rgba(255, 255, 255, 0.75);
    color: #666;
    border: 1px solid #b5b5b5;
    transition: .2s ease-in-out;
    transition-property: all;
    transition-property: color, background-color, border;
}

.uk-checkbox,
.uk-radio {
    display: inline-block;
    height: 16px;
    width: 16px;
    overflow: hidden;
    margin-top: -4px;
    vertical-align: middle;
    background-color: rgba(255, 255, 255, 0.75);
    background-repeat: no-repeat;
    background-position: 50% 50%;
    border: 1px solid #b5b5b5;
    transition: .2s ease-in-out;
    transition-property: all;
    transition-property: background-color, border;
}

.uk-form-label {
    color: var(--logo-color);
    font-size: .875rem;
}

.uk-list-divider> :nth-child(n+2) {
    margin-top: 10px;
    padding-top: 10px;
    border-top: 1px solid #b5b5b5;
}
.uk-pagination > .uk-active > * {
  color: var(--primary-color);
}

/* заглушки всякие */
.uk-pagination-placeholder {
    height: 100px;
}
/* /заглушки всякие */

div[id^="delete-"]>.uk-modal-dialog {
    /* Стили для элементов, ID которых начинается с "delete-" */
    background-color: var(--bg-delete-confirm) !important;
}

.uk-modal {
  z-index: 101010;
}
/*
 * Striped
 */
.uk-list-striped > * {
  padding: 10px 10px;
  background:var(--list-astriped);
}
.uk-list-striped > *:nth-of-type(odd) {
  border-top: 1px solid #e5e5e5;
  border-bottom: 1px solid #e5e5e5;
}
.uk-list-striped > :nth-of-type(odd) {
  background: var(--list-bstriped);
}
.uk-list-striped > :nth-child(n+2) {
  margin-top: 0;
}
/* Size modifier*/
/* Tablet landscape and bigger */
@media (min-width: 960px) {
  h1,
  .uk-h1 {
    font-size: 2.625rem;
  }
  h2,
  .uk-h2 {
    font-size: 2rem;
  }
}
@media (min-width: 1600px) {}
/* Desktop and smaller */
@media (max-width: 1599px) {}
/* Laptop and bigger */
@media (min-width: 1200px) {}
/* Tablet landscape and smaller */
@media (max-width: 1199px) {}
/* Phone landscape and smaller */
@media (max-width: 959px) {
   h2, .uk-h2 {
    font-size: 1.4rem !important;
  }
}
/* Tablet landscape and bigger */
@media (min-width: 960px) {
  h1, .uk-h1 {
    font-size: 2rem !important;
  }
   h2, .uk-h2 {
    font-size: 1.6rem !important;
  }

}

/* Phone landscape and bigger */
@media (min-width: 640px) {

}
/* Phones portrait and smaller */
@media (max-width: 639px) {
      .uk-h1, h1 {
  font-size: 1.8rem !important;
  line-height: 1.2;
}

}


/* public/assets/css/main.css */
.animation {
    animation: blinker 1s linear infinite;
}
@keyframes blinker {
    50% {
        opacity: 0;
    }
}
.text-danger {
    color: #d85030;
}
.text-warning {
    color: #faa05a;
}
.text-success {
    color: #26a269;
}
sup {
    font-size: 0.75em;
    cursor: pointer;
    transition: all 0.3s ease; /* Плавный переход */
}
sup.animation:hover {
    animation: neon 1.5s ease-in-out infinite alternate; /* Неоновый эффект */
    color: #ff4040; /* Ярко-красный при наведении */
}
@keyframes neon {
    from {
        text-shadow: 0 0 5px #fff, 0 0 10px #ff4040, 0 0 15px #ff4040;
    }
    to {
        text-shadow: 0 0 10px #fff, 0 0 20px #ff4040, 0 0 30px #ff4040;
    }
}
span[uk-icon] {
    margin-left: 5px;
    vertical-align: middle;
}
span[uk-icon].animation:hover {
    animation: neon 1.5s ease-in-out infinite alternate;
}

.email-header {
    margin-bottom: 20px;
    padding: 15px;
    border: 1px solid #ddd;
    border-radius: 5px;
    background: var(--bg-msg-preview);
    font-family: Arial, sans-serif;
    font-size: 14px;
}


.attachment {
    margin-bottom: 8px;
    padding: 8px;
    background: var(--bg-msg-preview);
    border-radius: 4px;
    border: 1px solid #eee;
}

.flipswitch {
  position: relative;
  width: 86px;
}
.flipswitch input[type=checkbox] {
  display: none;
}
.flipswitch-label {
  display: block;
  overflow: hidden;
  cursor: pointer;
  border: 1px solid #999999;
  border-radius: 8px;
}
.flipswitch-inner {
  width: 200%;
  margin-left: -100%;
  transition: margin 0.3s ease-in 0s;
}
.flipswitch-inner:before, .flipswitch-inner:after {
  float: left;
  width: 50%;
  height: 24px;
  padding: 0;
  line-height: 24px;
  font-size: 18px;
  color: white;
  font-family: Trebuchet, Arial, sans-serif;
  font-weight: bold;
  box-sizing: border-box;
}
.flipswitch-inner:before {
  content: "ON";
  padding-left: 12px;
  background-color: #256799;
  color: #FFFFFF;
}
.flipswitch-inner:after {
  content: "OFF";
  padding-right: 12px;
  background-color: #EBEBEB;
  color: #888888;
  text-align: right;
}
.flipswitch-switch {
  width: 31px;
  margin: -3.5px;
  background: #FFFFFF;
  border: 1px solid #999999;
  border-radius: 8px;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 59px;
  transition: all 0.3s ease-in 0s;
}
.flipswitch-cb:checked + .flipswitch-label .flipswitch-inner {
  margin-left: 0;
}
.flipswitch-cb:checked + .flipswitch-label .flipswitch-switch {
  right: 0;
}
.smoyl:hover { color: #fff;text-decoration: none;}
.smoyl {
  padding: 2px 8px;
  background: #1e87f0;
  line-height: 1.5;
  font-size: .875rem;
  color: #fff;
  vertical-align: middle;
  white-space: nowrap;
  border-radius: 2px;
  text-transform: uppercase;
}
